# Root | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Root

- Defined in: Root.js
- Extends Site

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Root() Antville’s Root prototype is an extent of the Site prototype.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| admin
| admins
| api
| creationDelay
| creationScope
| notificationScope
| phaseOutGracePeriod
| phaseOutMode
| phaseOutNotificationPeriod
| probationPeriod
| quote
| replyTo
| sites
| updates
| users
<static> <constant> | Root.VERSION

Fields borrowed from class Site:
  $tags, archive, archiveMode, commentMode, created, creator, deleted, export_id, files, galleries, images, import_id, job, layout, locale, members, metadata, mode, modified, modifier, notificationMode, notified, pageMode, pageSize, polls, status, stories, tagline, tags, timeZone

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| extractMessages(script, scanDirs, potFile) This method is called from the build script to extract gettext call strings from scripts and skins.
| getCreationPermission()
| getFormOptions(name)
| getMacroHandler(name) Catch some undefined macro handlers, then delegate to the super prototype.
| getPermission(action) The permission framework handler for the Root prototype.
| static_macro(param, name)

Methods borrowed from class Site:
  age_macro
  calendar_macro
  callback
  deleted_macro
  diskspace_macro
  getAdminHeader
  getDiskSpace
  getLocale
  getQuota
  getStaticFile
  getStaticUrl
  getTags
  getTimeZone
  getXml
  processHref
  referrers_macro
  spamfilter_macro
  stories_macro
  update
Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormValue
  getMetadata
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Root()
Antville’s Root prototype is an extent of the Site prototype. The singleton instance root is the first created site (“www”).

## Field Detail

<private> {Site[]} _children
{Admin} admin
{User[]} admins
{Api} api
{String} creationDelay
{String} creationScope
{String} notificationScope
{String} phaseOutGracePeriod
{String} phaseOutMode
{String} phaseOutNotificationPeriod
{String} probationPeriod
{String} quote
{String} replyTo
{Site[]} sites
{Site[]} updates
{User[]} users
<static> <constant> Root.VERSION

## Method Detail

- extractMessages(script, scanDirs, potFile)
  This method is called from the build script to extract gettext call strings from scripts and skins.
  Defined in: i18n.js.
  Parameters:
  {String} script
    The filename of the script containing the MessageParser code.
  {String} scanDirs
    The list of directory names to be scanned for i18n.
  {String} potFile
    The filename for the output POT file.
- {Boolean} getCreationPermission()
  Returns:
    {Boolean}
- {Object} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {Object}
  See:
    Site#getFormOptions
- {HopObject} getMacroHandler(name)
  Catch some undefined macro handlers, then delegate to the super prototype.
  Parameters:
  {String} name
  Returns:
    {HopObject}
  See:
    Site#getMacroHandler
- {Boolean} getPermission(action)
  The permission framework handler for the Root prototype.
  Parameters:
  {String} action
  Returns:
    {Boolean}
- static_macro(param, name)
  Parameters:
  {Object} param
  {String} name